Skip to main content
GET
cURL

Query Parameters

interviewIds
string<uuid>[]

Return only interviews whose ID is included in this list.

interviewSessionIds
string<uuid>[]

Return only interviews that belong to one of the specified interview sessions.

personIds
string<uuid>[]

Return interviews in which any of the specified persons participates. Use roles to limit the match to specific interview roles.

roles
enum<string>[]

Restrict personIds matching to the specified roles. If omitted, all roles are considered.

Available options:
HOST,
PARTNER,
DELEGATE
statuses
enum<string>[]

Return only interviews whose status is included in this list.

Available options:
OPEN,
FINISHED,
CANCELLED
scheduledFrom
string<date>

Return interviews scheduled on or after this date (inclusive).

scheduledTo
string<date>

Return interviews scheduled on or before this date (inclusive).

dateClosedFrom
string<date>

Return interviews closed on or after this date (inclusive).

dateClosedTo
string<date>

Return interviews closed on or before this date (inclusive).

page
integer
default:0

Zero-based page index (0..N)

Required range: x >= 0
size
integer
default:10

The size of the page to be returned

Required range: x >= 1
sort
string[]

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Response

200 - application/json

OK

content
object[]
page
object